@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  pangea-manager-biz startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and PANGEA_MANAGER_BIZ_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\pangea-manager-biz-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\pangea-manager-common-0.0.1-SNAPSHOT.jar;%APP_HOME%\lib\pangea-center-api-0.0.18-xuezhen-1-SNAPSHOT.jar;%APP_HOME%\lib\sso-api-2.5.0.jar;%APP_HOME%\lib\sso-common-2.5.0.jar;%APP_HOME%\lib\activity-center-api-0.10.07.jar;%APP_HOME%\lib\ssp-center-api-0.6.07.jar;%APP_HOME%\lib\goods-center-api-2.3.9-SNAPSHOT.jar;%APP_HOME%\lib\tuia-advert-center-api-2.2.53.jar;%APP_HOME%\lib\springfox-swagger-ui-2.7.0.jar;%APP_HOME%\lib\springfox-swagger2-2.7.0.jar;%APP_HOME%\lib\itextpdf-5.2.0.jar;%APP_HOME%\lib\symmetric-csv-3.5.19.jar;%APP_HOME%\lib\tinify-1.5.1.jar;%APP_HOME%\lib\hutool-all-4.1.19.jar;%APP_HOME%\lib\spring-boot-starter-actuator-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-freemarker-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-mail-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-config-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-eureka-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-hystrix-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-ribbon-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-feign-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-redis-1.3.14.jar;%APP_HOME%\lib\tuia-client-0.8.37.jar;%APP_HOME%\lib\geo-api-0.0.11.jar;%APP_HOME%\lib\spring-boot-ext-1.3.14.jar;%APP_HOME%\lib\spring-boot-ext-api-1.3.14.jar;%APP_HOME%\lib\application-boot-api-0.0.39.jar;%APP_HOME%\lib\lombok-1.6.10.jar;%APP_HOME%\lib\poi-ooxml-3.16.jar;%APP_HOME%\lib\aliyun-sdk-oss-2.0.1.jar;%APP_HOME%\lib\spring-cloud-starter-netflix-hystrix-1.4.7.RELEASE.jar;%APP_HOME%\lib\hystrix-javanica-1.5.12.jar;%APP_HOME%\lib\commons-lang3-3.6.jar;%APP_HOME%\lib\thirdparty-service-api-0.1.0.0-sjl-SNAPSHOT.jar;%APP_HOME%\lib\trade-center-api-1.0.8-SNAPSHOT.jar;%APP_HOME%\lib\duiba-service-api-1.6.6-coupon-SNAPSHOT.jar;%APP_HOME%\lib\activity-center-api-1.2.3.5-ly-SNAPSHOT.jar;%APP_HOME%\lib\wolf-2.2.30.jar;%APP_HOME%\lib\dcommons-flowwork-client-1.3.1.coupon-SNAPSHOT.jar;%APP_HOME%\lib\fastjson-1.2.60.jar;%APP_HOME%\lib\springfox-swagger-common-2.7.0.jar;%APP_HOME%\lib\springfox-spring-web-2.7.0.jar;%APP_HOME%\lib\swagger-models-1.5.13.jar;%APP_HOME%\lib\springfox-schema-2.7.0.jar;%APP_HOME%\lib\springfox-spi-2.7.0.jar;%APP_HOME%\lib\springfox-core-2.7.0.jar;%APP_HOME%\lib\spring-plugin-metadata-1.2.0.RELEASE.jar;%APP_HOME%\lib\spring-plugin-core-1.2.0.RELEASE.jar;%APP_HOME%\lib\jetcd-core-0.0.2.jar;%APP_HOME%\lib\HikariCP-2.5.1.jar;%APP_HOME%\lib\ehcache-3.2.3.jar;%APP_HOME%\lib\jedis-2.9.3.jar;%APP_HOME%\lib\spring-cloud-starter-netflix-eureka-client-1.4.7.RELEASE.jar;%APP_HOME%\lib\ribbon-eureka-2.2.5.jar;%APP_HOME%\lib\hystrix-metrics-event-stream-1.5.12.jar;%APP_HOME%\lib\spring-cloud-starter-openfeign-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-netflix-ribbon-1.4.7.RELEASE.jar;%APP_HOME%\lib\ribbon-2.2.5.jar;%APP_HOME%\lib\feign-hystrix-9.5.0.jar;%APP_HOME%\lib\hystrix-serialization-1.5.12.jar;%APP_HOME%\lib\hystrix-core-1.5.12.jar;%APP_HOME%\lib\ribbon-httpclient-2.2.5.jar;%APP_HOME%\lib\ribbon-transport-2.2.5.jar;%APP_HOME%\lib\ribbon-loadbalancer-2.2.5.jar;%APP_HOME%\lib\ribbon-core-2.2.5.jar;%APP_HOME%\lib\feign-slf4j-9.5.0.jar;%APP_HOME%\lib\jetcd-resolver-0.0.2.jar;%APP_HOME%\lib\jetcd-common-0.0.2.jar;%APP_HOME%\lib\spring-boot-starter-web-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-sleuth-1.3.6.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-netflix-archaius-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-starter-1.3.6.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-aop-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-boot-starter-logging-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-data-redis-1.8.23.RELEASE.jar;%APP_HOME%\lib\spring-data-keyvalue-1.2.23.RELEASE.jar;%APP_HOME%\lib\spring-data-commons-1.13.23.RELEASE.jar;%APP_HOME%\lib\jcl-over-slf4j-1.7.26.jar;%APP_HOME%\lib\logback-classic-1.1.11.jar;%APP_HOME%\lib\jul-to-slf4j-1.7.26.jar;%APP_HOME%\lib\log4j-over-slf4j-1.7.26.jar;%APP_HOME%\lib\eureka-core-1.7.2.jar;%APP_HOME%\lib\eureka-client-1.7.2.jar;%APP_HOME%\lib\netflix-eventbus-0.3.0.jar;%APP_HOME%\lib\archaius-core-0.7.4.jar;%APP_HOME%\lib\rxnetty-servo-0.4.9.jar;%APP_HOME%\lib\servo-core-0.10.1.jar;%APP_HOME%\lib\rxnetty-contexts-0.4.9.jar;%APP_HOME%\lib\rxnetty-0.4.9.jar;%APP_HOME%\lib\netflix-commons-util-0.1.1.jar;%APP_HOME%\lib\netflix-statistics-0.1.1.jar;%APP_HOME%\lib\netflix-infix-0.3.0.jar;%APP_HOME%\lib\servo-internal-0.10.1.jar;%APP_HOME%\lib\slf4j-api-1.7.26.jar;%APP_HOME%\lib\caffeine-2.3.5.jar;%APP_HOME%\lib\dcommons-base-0.3.jar;%APP_HOME%\lib\reflections-0.9.11.jar;%APP_HOME%\lib\grpc-netty-1.9.1.jar;%APP_HOME%\lib\grpc-protobuf-1.9.1.jar;%APP_HOME%\lib\grpc-stub-1.9.1.jar;%APP_HOME%\lib\grpc-protobuf-lite-1.9.1.jar;%APP_HOME%\lib\grpc-core-1.9.1.jar;%APP_HOME%\lib\guice-4.1.0.jar;%APP_HOME%\lib\instrumentation-api-0.4.3.jar;%APP_HOME%\lib\protobuf-java-util-3.5.1.jar;%APP_HOME%\lib\opencensus-contrib-grpc-metrics-0.10.0.jar;%APP_HOME%\lib\opencensus-api-0.10.0.jar;%APP_HOME%\lib\guava-18.0.jar;%APP_HOME%\lib\commons-fileupload-1.3.2.jar;%APP_HOME%\lib\commons-io-2.4.jar;%APP_HOME%\lib\hibernate-validator-5.3.6.Final.jar;%APP_HOME%\lib\validation-api-1.1.0.Final.jar;%APP_HOME%\lib\mybatis-3.4.6.jar;%APP_HOME%\lib\httpmime-4.4.jar;%APP_HOME%\lib\httpasyncclient-4.1.4.jar;%APP_HOME%\lib\feign-httpclient-9.5.0.jar;%APP_HOME%\lib\spring-cloud-config-client-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-sleuth-zipkin-1.3.6.RELEASE.jar;%APP_HOME%\lib\spring-cloud-netflix-eureka-client-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-netflix-core-1.4.7.RELEASE.jar;%APP_HOME%\lib\spring-cloud-sleuth-core-1.3.6.RELEASE.jar;%APP_HOME%\lib\spring-cloud-commons-1.3.6.RELEASE.jar;%APP_HOME%\lib\jersey-apache-client4-1.19.1.jar;%APP_HOME%\lib\httpclient-4.5.9.jar;%APP_HOME%\lib\spring-webmvc-4.3.25.RELEASE.jar;%APP_HOME%\lib\dubbo-2.5.4.8.dbfix1.jar;%APP_HOME%\lib\spring-web-4.3.25.RELEASE.jar;%APP_HOME%\lib\swagger-annotations-1.5.13.jar;%APP_HOME%\lib\classmate-1.3.4.jar;%APP_HOME%\lib\mapstruct-1.1.0.Final.jar;%APP_HOME%\lib\okhttp-3.8.1.jar;%APP_HOME%\lib\gson-2.8.2.jar;%APP_HOME%\lib\spring-boot-actuator-1.5.22.RELEASE.jar;%APP_HOME%\lib\freemarker-2.3.28.jar;%APP_HOME%\lib\spring-context-support-4.3.25.RELEASE.jar;%APP_HOME%\lib\spring-boot-autoconfigure-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-boot-1.5.22.RELEASE.jar;%APP_HOME%\lib\spring-context-4.3.25.RELEASE.jar;%APP_HOME%\lib\javax.mail-1.5.6.jar;%APP_HOME%\lib\jackson-module-afterburner-2.8.11.jar;%APP_HOME%\lib\jackson-databind-2.8.11.3.jar;%APP_HOME%\lib\poi-3.16.jar;%APP_HOME%\lib\poi-ooxml-schemas-3.16.jar;%APP_HOME%\lib\curvesapi-1.04.jar;%APP_HOME%\lib\jdom-1.1.jar;%APP_HOME%\lib\kotlin-stdlib-jdk8-1.2.30.jar;%APP_HOME%\lib\transmittable-thread-local-2.5.1.jar;%APP_HOME%\lib\aspectjweaver-1.8.14.jar;%APP_HOME%\lib\hessian-4.0.38.jar;%APP_HOME%\lib\httpcore-nio-4.4.11.jar;%APP_HOME%\lib\httpcore-4.4.11.jar;%APP_HOME%\lib\byte-buddy-agent-1.8.17.jar;%APP_HOME%\lib\byte-buddy-1.8.17.jar;%APP_HOME%\lib\ea-agent-loader-1.0.3.jar;%APP_HOME%\lib\springloaded-1.2.8.RELEASE.jar;%APP_HOME%\lib\spring-boot-devtools-1.5.22.RELEASE.jar;%APP_HOME%\lib\objenesis-2.6.jar;%APP_HOME%\lib\hazelcast-spring-3.11.jar;%APP_HOME%\lib\hazelcast-3.11.jar;%APP_HOME%\lib\cache-api-1.0.0.jar;%APP_HOME%\lib\jmockit-1.26.jar;%APP_HOME%\lib\simpleclient_pushgateway-0.6.0.jar;%APP_HOME%\lib\commons-configuration-1.8.jar;%APP_HOME%\lib\json-lib-2.4-jdk15.jar;%APP_HOME%\lib\ezmorph-1.0.6.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\spring-boot-starter-tomcat-1.5.22.RELEASE.jar;%APP_HOME%\lib\jackson-annotations-2.8.0.jar;%APP_HOME%\lib\jboss-logging-3.3.2.Final.jar;%APP_HOME%\lib\spring-aop-4.3.25.RELEASE.jar;%APP_HOME%\lib\spring-oxm-4.3.25.RELEASE.jar;%APP_HOME%\lib\spring-tx-4.3.25.RELEASE.jar;%APP_HOME%\lib\spring-beans-4.3.25.RELEASE.jar;%APP_HOME%\lib\thumbnailator-0.4.8.jar;%APP_HOME%\lib\activation-1.1.1.jar;%APP_HOME%\lib\antlr-3.4.jar;%APP_HOME%\lib\bsh-2.0b1.jar;%APP_HOME%\lib\cglib-nodep-3.2.6.jar;%APP_HOME%\lib\jsr305-3.0.1.jar;%APP_HOME%\lib\commons-beanutils-1.8.3.jar;%APP_HOME%\lib\commons-cli-1.2.jar;%APP_HOME%\lib\commons-codec-1.10.jar;%APP_HOME%\lib\commons-pool-1.6.jar;%APP_HOME%\lib\commons-math3-3.6.1.jar;%APP_HOME%\lib\joda-time-2.9.9.jar;%APP_HOME%\lib\spring-expression-4.3.25.RELEASE.jar;%APP_HOME%\lib\spring-core-4.3.25.RELEASE.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\okio-1.13.0.jar;%APP_HOME%\lib\snakeyaml-1.17.jar;%APP_HOME%\lib\spring-cloud-context-1.3.6.RELEASE.jar;%APP_HOME%\lib\spring-security-rsa-1.0.3.RELEASE.jar;%APP_HOME%\lib\jackson-core-2.8.11.jar;%APP_HOME%\lib\xstream-1.4.10.jar;%APP_HOME%\lib\rxjava-1.2.0.jar;%APP_HOME%\lib\feign-core-9.5.0.jar;%APP_HOME%\lib\commons-collections4-4.1.jar;%APP_HOME%\lib\xmlbeans-2.6.0.jar;%APP_HOME%\lib\kotlin-stdlib-jdk7-1.2.30.jar;%APP_HOME%\lib\kotlin-stdlib-1.2.30.jar;%APP_HOME%\lib\zipkin-sender-kafka11-2.5.0.jar;%APP_HOME%\lib\zipkin-sender-amqp-client-2.5.0.jar;%APP_HOME%\lib\zipkin-reporter-2.5.0.jar;%APP_HOME%\lib\zipkin-2.7.1.jar;%APP_HOME%\lib\simpleclient_common-0.6.0.jar;%APP_HOME%\lib\simpleclient-0.6.0.jar;%APP_HOME%\lib\commons-pool2-2.4.3.jar;%APP_HOME%\lib\tomcat-embed-websocket-8.5.43.jar;%APP_HOME%\lib\tomcat-embed-core-8.5.43.jar;%APP_HOME%\lib\tomcat-embed-el-8.5.43.jar;%APP_HOME%\lib\javax.mail-api-1.5.6.jar;%APP_HOME%\lib\ST4-4.0.4.jar;%APP_HOME%\lib\antlr-runtime-3.4.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\javassist-3.21.0-GA.jar;%APP_HOME%\lib\spring-security-crypto-4.2.13.RELEASE.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.55.jar;%APP_HOME%\lib\jettison-1.3.7.jar;%APP_HOME%\lib\jersey-client-1.19.1.jar;%APP_HOME%\lib\jersey-core-1.19.1.jar;%APP_HOME%\lib\jsr311-api-1.1.1.jar;%APP_HOME%\lib\woodstox-core-asl-4.4.1.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar;%APP_HOME%\lib\xpp3_min-1.1.4c.jar;%APP_HOME%\lib\HdrHistogram-2.1.9.jar;%APP_HOME%\lib\asm-5.0.4.jar;%APP_HOME%\lib\javax.inject-1.jar;%APP_HOME%\lib\animal-sniffer-annotation-1.0.jar;%APP_HOME%\lib\stax-api-1.0.1.jar;%APP_HOME%\lib\annotations-13.0.jar;%APP_HOME%\lib\grpc-context-1.9.1.jar;%APP_HOME%\lib\error_prone_annotations-2.1.2.jar;%APP_HOME%\lib\netty-codec-http2-4.1.25.Final.jar;%APP_HOME%\lib\netty-handler-proxy-4.1.25.Final.jar;%APP_HOME%\lib\protobuf-java-3.5.1.jar;%APP_HOME%\lib\proto-google-common-protos-1.0.0.jar;%APP_HOME%\lib\aspectjrt-1.8.14.jar;%APP_HOME%\lib\tomcat-annotations-api-8.5.43.jar;%APP_HOME%\lib\stringtemplate-3.2.1.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\logback-core-1.1.11.jar;%APP_HOME%\lib\bcprov-jdk15on-1.47.jar;%APP_HOME%\lib\commons-math-2.2.jar;%APP_HOME%\lib\aopalliance-1.0.jar;%APP_HOME%\lib\stax-api-1.0-2.jar;%APP_HOME%\lib\stax2-api-3.1.4.jar;%APP_HOME%\lib\netty-codec-http-4.1.25.Final.jar;%APP_HOME%\lib\netty-handler-4.1.25.Final.jar;%APP_HOME%\lib\netty-codec-socks-4.1.25.Final.jar;%APP_HOME%\lib\netty-codec-4.1.25.Final.jar;%APP_HOME%\lib\netty-transport-4.1.25.Final.jar;%APP_HOME%\lib\commons-jxpath-1.3.jar;%APP_HOME%\lib\netty-buffer-4.1.25.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.25.Final.jar;%APP_HOME%\lib\netty-3.10.6.Final.jar;%APP_HOME%\lib\netty-common-4.1.25.Final.jar

@rem Execute pangea-manager-biz
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %PANGEA_MANAGER_BIZ_OPTS%  -classpath "%CLASSPATH%" cn.com.duiba.tuia.pangea.manager.Application %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable PANGEA_MANAGER_BIZ_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%PANGEA_MANAGER_BIZ_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
